package com.bocloud.sms.booter.controller;

import com.bocloud.common.model.BocloudResult;
import com.bocloud.common.model.GridBean;
import com.bocloud.common.model.Pager;
import com.bocloud.sms.entity.LogArchiveRecord;
import com.bocloud.sms.interfaces.LogArchiveRecordService;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.http.MediaType;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

/**
 * 审计日志归档记录
 *
 * @author zhangdi
 * @since Nov 6,2019
 */

@RestController
@RequestMapping("/v1/archives")
@Api(value = "日志归档管理", tags = "日志归档管理")
public class LogArchiveRecordController {

    private final LogArchiveRecordService logArchiveRecordService;

    public LogArchiveRecordController(LogArchiveRecordService logArchiveRecordService) {
        this.logArchiveRecordService = logArchiveRecordService;
    }

    /**
     * 列表
     *
     * @param pager
     * @return
     */
    @GetMapping
    @ApiOperation(tags = {"CMC", "CSC"}, value = "审计日志归档记录", response = BocloudResult.class, httpMethod = "GET", produces = MediaType.APPLICATION_JSON_VALUE)
    public BocloudResult<GridBean<LogArchiveRecord>> list(Pager pager) {
        return logArchiveRecordService.list(pager);
    }

}
