package com.bocloud.sms.booter.controller;

import com.bocloud.common.model.BocloudResult;
import com.bocloud.common.model.Result;
import com.bocloud.sms.interfaces.SysDateViewService;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.http.MediaType;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

/**
 * @ClassName: SysDateViewController
 * @Description: 系统数据统计概览
 * @Author lxy
 * @Date 2021/9/29 10:09
 */
@RestController
@RequestMapping("/v1/system")
@Api(value = "系统数据统计概览", tags = "系统数据统计概览")
public class SysDateViewController {
    @Autowired
    private SysDateViewService sysDateViewService;

    @ApiOperation(value = "用户访问控制数据统计", response = BocloudResult.class, httpMethod = "GET", produces = MediaType.APPLICATION_JSON_VALUE)
    @GetMapping("/count")
    public Result systemCount() {
        return sysDateViewService.systemCount();
    }
}
