package com.bocloud.sms.entity;


import com.bocloud.entity.annotations.Column;
import com.bocloud.entity.annotations.PK;
import com.bocloud.entity.annotations.Table;
import com.bocloud.entity.bean.Generic;
import com.bocloud.entity.meta.PKStrategy;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.NoArgsConstructor;

/**
 * 业务与项目之间的关系表
 *
 * @author admin
 */
@EqualsAndHashCode(callSuper = true)
@Table("business_project")
@Data
@AllArgsConstructor
@NoArgsConstructor
public class BusinessProject extends Generic {

    /**
     * id
     */
    @PK(value = PKStrategy.AUTO)
    private Long id;
    /**
     * 业务id
     */
    @Column("business_id")
    private Long businessId;
    /**
     * 项目id
     */
    @Column("project_id")
    private Long projectId;

    /**
     * 系统负责人id
     */
    @Column("system_id")
    private Long systemId;

    /**
     * 运维负责人id
     */
    @Column("preserve_id")
    private Long preserveId;

    public BusinessProject(Long businessId, Long projectId, Long systemId, Long preserveId) {
        this.businessId = businessId;
        this.projectId = projectId;
        this.systemId = systemId;
        this.preserveId = preserveId;
    }
}
