package com.bocloud.sms.entity;

import com.bocloud.entity.annotations.*;
import com.bocloud.entity.bean.GenericEntity;
import com.bocloud.entity.meta.PKStrategy;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.NoArgsConstructor;

import java.util.List;

/**
 * 组织机构管理
 *
 * @author bocloud
 */
@Data
@NoArgsConstructor
@AllArgsConstructor
@EqualsAndHashCode(callSuper = true)
@Table("department")
public class Department extends GenericEntity {

    /**
     * id
     */
    @PK(value = PKStrategy.AUTO)
    private Long id;
    /**
     * 父节点id
     */
    @Column("parent_id")
    @IgnoreUpdate
    private Long parentId;
    /**
     * 租户id
     */
    @Column("tenant_id")
    private Long tenantId;
    @Column("origin")
    private String origin;
    @Column("code")
    private String code;
    @Column("manager_emp_no")
    private String managerEmpNo;    // 团队长
    @Column("fg_emp_no")
    private String fgEmpNo;         // 分管领导
    @Column("manager_emp_id")
    private Long managerEmpId;
    @Column("fg_emp_id")
    private Long fgEmpId;
    @Column("is_network_depart")
    private Boolean isNetworkDepart;    // 是否网络部门
    @IgnoreAll
    private List<Department> children;
    @IgnoreAll
    private List<Department> childs;
    @IgnoreAll
    private List<User> users;
    @IgnoreAll
    private List<User> managers;
    @IgnoreAll
    private Boolean isParent;

    public List<Department> getChildren() {
        if (children == null) {
            children = childs;
        }
        return children;
    }
    public List<User> getUsers() {
        if (users == null) {
            users = managers;
        }
        return users;
    }
}
