package com.bocloud.sms.entity;

import com.bocloud.entity.annotations.Column;
import com.bocloud.entity.annotations.IgnoreAll;
import com.bocloud.entity.annotations.PK;
import com.bocloud.entity.annotations.Table;
import com.bocloud.entity.bean.GenericEntity;
import com.bocloud.entity.meta.PKStrategy;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.List;

@Table("project")
@Data
@AllArgsConstructor
@NoArgsConstructor
public class Project extends GenericEntity {

    /**
     * 项目id
     */
    @PK(PKStrategy.AUTO)
    private Long id;
    /**
     * 项目管理属性
     */
    @Column("visibility")
    private String visibility;
    /**
     * 所属租户id
     */
    @Column("tenant_id")
    private Long tenantId;
    /**
     * 所属业务id
     */
    @Column("business_id")
    private Long businessId;
    /**
     * 项目编码
     */
    @Column("code")
    private String code;
    /**
     * 所属租户名称
     */
    @IgnoreAll
    private String tenantName;
    /**
     * 资源数量
     */
    @IgnoreAll
    private int resourceNum;
    /**
     * 项目经理ID
     */
    @IgnoreAll
    private List<Long> managerIds;
    /**
     * 项目经理名字字符串
     */
    @IgnoreAll
    private String managerName;
    /**
     * 用户数量
     */
    @IgnoreAll
    private Integer userCount;
    /**
     * 所属业务名称
     */
    @IgnoreAll
    private String businessName;
    /**
     * 前端是否选中
     *
     */
    @IgnoreAll
    private Boolean check;

    /**
     * 系统负责人id
     */
    //@Column("system_id")
    private Long systemId;

    /**
     * 运维负责人id
     */
    //@Column("preserve_id")
    private Long preserveId;

}
