package com.bocloud.sms.entity;

import com.bocloud.entity.annotations.Column;
import com.bocloud.entity.annotations.PK;
import com.bocloud.entity.annotations.Table;
import com.bocloud.entity.bean.Generic;
import com.bocloud.entity.meta.PKStrategy;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.NoArgsConstructor;

/**
 * 用户-角色
 *
 * @author bocloud
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
@EqualsAndHashCode(callSuper = true)
@Table("user_role")
public class UserRole extends Generic {

    @PK(value = PKStrategy.AUTO)
    private Long id; // ID
    @Column("user_id")
    private Long userId; // 用户ID
    @Column("role_id")
    private Long roleId; // 角色ID

    public UserRole(Long userId, Long roleId) {
        super();
        this.userId = userId;
        this.roleId = roleId;
    }
}
