package com.bocloud.sms.model;

import com.bocloud.common.utils.DateDeserializer;
import com.bocloud.common.utils.DateSerializer;
import com.fasterxml.jackson.databind.annotation.JsonDeserialize;
import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;

/**
 * @author tyl
 * @since 2020/2/4 周二 13:56
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
public class ManagerModel {

    /**
     * 账号
     */
    private String account;
    /**
     * 密码
     */
    private String password;
    /**
     * 用户名
     */
    private String name;
    /**
     * 性别
     */
    private Boolean sex;

    /**
     * 邮箱
     */
    private String email;

    /**
     * 移动电话
     */
    private String mobile;

    /**
     * 工号
     */
    private String jobNumber;

    /**
     * 公司
     */
    private String company;

    /**
     * 组织机构ID
     */
    private Long departId;

    /**
     * 过期时间
     */
    @JsonSerialize(
            using = DateSerializer.class
    )
    @JsonDeserialize(
            using = DateDeserializer.class
    )
    @DateTimeFormat(
            pattern = "yyyy-MM-dd HH:mm:ss"
    )
    private Date expiredDate;

    /**
     * 描述
     */
    private String remark;

    /**
     * 头像
     */
    private String portrait;

}
