package com.bocloud.sms.model;

import com.bocloud.common.model.RequestContext;
import lombok.AllArgsConstructor;
import lombok.Data;

import java.util.List;

/**
 * 通知消息体
 *
 * @author weiwei
 * @since 2017年7月26日
 */
@Data
@AllArgsConstructor
public class NotifyMessage {

    private String subject;
    private String content;
    private String emailContent;
    private String weChatContent;
    private String dingTalkContent;
    private RequestContext context;
    private List<RequestContext> contexts;
    private boolean sendMsg;
    private boolean sendEmail;
    private boolean sendWeChat;
    private boolean sendDingTalk;

    /**
     *
     */
    public NotifyMessage() {
        super();
    }

    /**
     * @param context
     * @param subject
     * @param content
     * @param sendMsg
     * @param sendEmail
     */
    public NotifyMessage(RequestContext context, String subject, String content, boolean sendMsg, boolean sendEmail) {
        super();
        this.context = context;
        this.subject = subject;
        this.content = content;
        this.sendMsg = sendMsg;
        this.sendEmail = sendEmail;
    }

    public NotifyMessage(RequestContext context, String subject, String content, String emailContent, boolean sendMsg,
                         boolean sendEmail) {
        super();
        this.context = context;
        this.subject = subject;
        this.content = content;
        this.emailContent = emailContent;
        this.sendMsg = sendMsg;
        this.sendEmail = sendEmail;
    }

    /**
     * 构造 钉钉/企业微信消息
     * @param weChatContent
     * @param dingTalkContent
     * @param context
     * @param sendWeChat
     * @param sendDingTalk
     */
    public NotifyMessage(String weChatContent, String dingTalkContent, RequestContext context, boolean sendWeChat, boolean sendDingTalk) {
        this.weChatContent = weChatContent;
        this.dingTalkContent = dingTalkContent;
        this.context = context;
        this.sendWeChat = sendWeChat;
        this.sendDingTalk = sendDingTalk;
    }

}
