package com.bocloud.sms.interfaces;

import com.alibaba.fastjson.JSONObject;
import com.bocloud.common.model.*;
import com.bocloud.sms.entity.AccessLog;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import java.util.List;

/**
 * 审计日志服务接口
 *
 * @author dmw
 */
public interface LogService {

    /**
     * 审计日志列表
     *
     * @param pager
	 *
     * @return
     */
    BocloudResult<GridBean<AccessLog>> list(Pager pager);

    /**
     * 添加审计日志
     *
     * @param accessLog
     * @return
     */
    Result create(AccessLog accessLog);

    /**
     * 批量插入日志
     *
     * @param logs
     * @return
     */
    Result batch(List<AccessLog> logs);

    /**
     * 统计服务间的调用次数
     *
     * @return
     */
    BocloudResult<JSONObject> statistics();

    /**
     * 审计日志归档
     *
     * @param startTime
     * @param endTime
     * @param deleted
	 * @param request
	 * @param response
     * @param context
     * @return
     */
    BocloudResult<StringBuilder> archive(String startTime, String endTime, boolean deleted, RequestContext context, HttpServletRequest request,
                                         HttpServletResponse response);

}
