package com.bocloud.sms.service.internel;

import com.bocloud.common.enums.BoCloudMethod;
import com.bocloud.common.enums.BoCloudService;
import com.bocloud.common.model.BocloudResult;
import com.bocloud.common.model.BocloudToken;
import com.bocloud.common.utils.MapTools;
import com.bocloud.service.core.CurrentService;
import com.bocloud.service.core.Service;
import com.bocloud.service.http.core.ServiceFactory;
import com.bocloud.service.http.model.RemoteService;
import org.springframework.beans.factory.InitializingBean;
import org.springframework.stereotype.Component;

import java.util.HashMap;
import java.util.Map;

/**
 * Cmp资源校验内部访问
 *
 * @author wangyu
 * @version 1.0
 * @since 2018年1月15日
 */
@Component
public class CmpCheckService implements InitializingBean {

    private final ServiceFactory serviceFactory;
    private final CurrentService currentService;
    private static final Service SERVICE = Service.create(BoCloudService.IMS);
    private final Map<String, Object> headers = new HashMap<>(4);

    public CmpCheckService(ServiceFactory serviceFactory, CurrentService currentService) {
        this.serviceFactory = serviceFactory;
        this.currentService = currentService;
    }

    public BocloudResult check(String apiKey, Long target, String category) {
        headers.put("apiKey", apiKey);
        Map<String, Object> paramMap = MapTools.simpleMap("category", category);
        RemoteService remoteService = serviceFactory.build(SERVICE, "/v1/reschecks/" + target,
                BoCloudMethod.GET, headers, paramMap);
        return remoteService.invoke();
    }

    @Override
    public void afterPropertiesSet() throws Exception {
        this.headers.put(BocloudToken.INTERNAL_TOKEN, currentService.getToken());
        this.headers.put("source", currentService.getService().getName());

    }
}
