package com.bocloud.sms.service.internel;

import com.alibaba.fastjson.JSONObject;
import com.bocloud.common.enums.BoCloudMethod;
import com.bocloud.common.enums.BoCloudService;
import com.bocloud.common.model.BocloudResult;
import com.bocloud.common.model.BocloudToken;
import com.bocloud.common.utils.Common;
import com.bocloud.common.utils.MapTools;
import com.bocloud.service.core.CurrentService;
import com.bocloud.service.core.Service;
import com.bocloud.service.http.core.ServiceFactory;
import com.bocloud.service.http.model.RemoteService;
import org.springframework.beans.factory.InitializingBean;
import org.springframework.stereotype.Component;

import java.util.HashMap;
import java.util.Map;

@Component("cmpResourceService")
public class CmpResourceService implements InitializingBean {

    private final ServiceFactory serviceFactory;
    private final CurrentService currentService;
    private static final Service SERVICE = Service.create(BoCloudService.IMS);
    private final Map<String, Object> headers = new HashMap<>(4);

    public CmpResourceService(ServiceFactory serviceFactory, CurrentService currentService) {
        this.serviceFactory = serviceFactory;
        this.currentService = currentService;
    }

    @SuppressWarnings("unused")
    public BocloudResult listByResource(Long projectId) {
        String url = "/resource/listByResource";
        JSONObject object = new JSONObject();
        object.put("projectId", projectId);
        Map<String, Object> params = MapTools.simpleMap(Common.PARAMS, object.toJSONString());
        RemoteService remoteService = serviceFactory.build(SERVICE, url, BoCloudMethod.POST, headers, params);
        return remoteService.invoke();
    }

    @Override
    public void afterPropertiesSet() throws Exception {
        this.headers.put(BocloudToken.INTERNAL_TOKEN, currentService.getToken());
        this.headers.put("source", currentService.getService().getName());
    }

}
