package com.bocloud.sms.service.utils;

import java.time.LocalDate;
import java.time.LocalDateTime;
import java.time.format.DateTimeFormatter;

/**
 * 日期时间工具类
 *
 * @author zhangdi
 * @since Nov 5,2019
 */
public class LocalDateTimeUtil {

    /**
     * 毫秒数转为时分秒
     *
     * @param millisecond 毫秒数
     * @return
     */
    public static String dateConvert(double millisecond) {
        long time = (long) millisecond / 1000;
        long hour = (time % (3600 * 24)) / 3600;
        long min = (time % (3600 * 24)) % 3600 / 60;
        long second = (time % (3600 * 24)) % 3600 % 60;
        if (hour == 0) {
            if (min == 0) {
                return second + "秒";
            } else {
                return min + "分" + second + "秒";
            }
        } else {
            return hour + "时" + min + "分" + second + "秒";
        }
    }

    public static String localDateTimeFormat(LocalDateTime localDateTime) {
        return localDateTime.format(DateTimeFormatter.ofPattern("yyyy-MM-dd HH:mm:ss"));
    }

    public static String localDateFormat(LocalDateTime localDateTime) {
        return localDateTime.format(DateTimeFormatter.ofPattern("yyyy-MM-dd"));
    }

    public static LocalDateTime stringToLocalDateTime(String time) {
        return LocalDateTime.parse(time, DateTimeFormatter.ofPattern("yyyy-MM-dd HH:mm:ss"));
    }

    public static LocalDate stringToLocalDate(String time) {
        return LocalDate.parse(time, DateTimeFormatter.ofPattern("yyyy-MM-dd"));
    }

    public static void main(String[] args) {
        LocalDateTime now = LocalDateTime.now();
        System.out.println(localDateTimeFormat(now));
        System.out.println(localDateFormat(now));
    }
}