package com.bocloud.sms.repository;

import com.bocloud.common.exception.BoCloudDBException;
import com.bocloud.common.utils.MapTools;
import com.bocloud.database.core.intf.impl.BasicGenericDao;
import com.bocloud.sms.entity.UserRole;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.jdbc.core.JdbcTemplate;
import org.springframework.jdbc.core.namedparam.NamedParameterJdbcTemplate;
import org.springframework.stereotype.Repository;
import java.util.Map;

/**
 * 用户角色关联关系
 *
 * @author hya
 * @since 2022-03-02
 */
@Repository
public class UserRoleRepository extends BasicGenericDao<UserRole, Long> {

    @Autowired
    public UserRoleRepository(JdbcTemplate jdbcTemplate, NamedParameterJdbcTemplate npJdbcTemplate) {
        super(jdbcTemplate, npJdbcTemplate);
    }

    /**
     * 根据用户ID解绑用户角色
     *
     * @param userId
     * @return
     * @throws BoCloudDBException
     */
    public boolean unBindUserRole(Long userId) throws BoCloudDBException {
        String sql = "delete from user_role where user_id = :userId";
        Map<String, Object> params = MapTools.simpleMap("userId", userId);
        return super.execute(sql,params) > 0;
    }

}
